ruby se plaint que le colis n'est pas installé, mais en fait défini

Cette question peut être très non professionnelle, mais je n'aime pas vraiment Ruby Et je n'ai aucune idée de quoi commencer ...

L'Iran

Jekyll

qui fonctionne

asciidoctor

Pour rendu des pages HTML.

Malheureusement, après la mise à jour Fedora Je viens d'obtenir un message

$ jekyll serve
...
Conversion error: Jekyll::Converters::AsciiDocConverter encountered an error while converting '<some file="">':
asciidoctor: FAILED: required gem 'pygments.rb' is not installed. Processing aborted.

J'ai essayé d'installer

pygments.rb

(Comment est l'utilisateur actuel et / ou comment root) de la manière suivante:

gem install pygments.rb

Mais il est déjà installé. Quand je l'enlève (Réinstaller) Je reçois un indice:

$ gem uninstall pygments.rb

You have requested to uninstall the gem:
pygments.rb-0.6.3

Quand j'essaie de courir Jekyll / asciidoctor, Le message a l'air différent:

$ jekyll serve
/usr/share/rubygems/rubygems/dependency.rb:298:in `to_specs': Could not find 'pygments.rb' (~&gt; 0.6.0) among 72 total gem(s) (Gem::LoadError)
from /usr/share/rubygems/rubygems/specification.rb:1295:in `block in activate_dependencies'
from /usr/share/rubygems/rubygems/specification.rb:1284:in `each'
from /usr/share/rubygems/rubygems/specification.rb:1284:in `activate_dependencies'
from /usr/share/rubygems/rubygems/specification.rb:1266:in `activate'
from /usr/share/rubygems/rubygems/core_ext/kernel_gem.rb:54:in `gem'
from /usr/local/bin/jekyll:22:in `<main>'

Donc dans ce cas

Jekyll

Il semble manquer

pygments.rb

mais dans un autre cas (lorsque

pygments.rb

installée) ressemble à

asciidoctor

Se plaint.

Pourriez-vous me dire où commencer une enquête?
</main></some>
Invité:

Alice

Confirmation de:

Assurez-vous que vous avez

python-pygments

Paquet installé, par exemple

yum install python-pygments

Pierre précieuse pour lui juste envelopper.

Pour répondre aux questions, connectez-vous ou registre